ChannelTrait.GetProgramGuideCommand.Response

class ChannelTrait.GetProgramGuideCommand.Response : ClusterStruct


The program guide response.

Summary

Nested types

Descriptor enum for this command's response fields.

Public constructors

Creates a response payload from the GetProgramGuide command.

Public functions

open StructDescriptor

Returns the descriptor for the struct.

open Any?

Returns the value of the field for the given tag ID.

Public properties

ChannelTrait.ChannelPagingStruct

The necessary pagination attributes that defines information for both the succeeding and preceding data pages.

List<ChannelTrait.ProgramStruct>

The list of programs.

Public constructors

Response

Response(
    paging: ChannelTrait.ChannelPagingStruct = ChannelPagingStruct(),
    programList: List<ChannelTrait.ProgramStruct> = emptyList()
)

Creates a response payload from the GetProgramGuide command.

Public functions

getDescriptor

@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor

Returns the descriptor for the struct.

getFieldValueById

@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?

Returns the value of the field for the given tag ID.

Public properties

paging

val pagingChannelTrait.ChannelPagingStruct

The necessary pagination attributes that defines information for both the succeeding and preceding data pages.

programList

val programListList<ChannelTrait.ProgramStruct>

The list of programs.